package cd.casic.ci.commons.annotation.rpc;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @ClassName Exporter
 * @Author hopeli
 * @Date 2025/4/28 17:11
 * @Version 1.0
 */


@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Exporter {
    String name() default "";

    String version() default "0.0.0";
}
