package cd.casic.ci.commons.bean.process.definition;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线变量模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Condition {

    //条件id
    private String condId;

    //条件名称
    private String condName;

    //任务id
    private String taskId;

    //创建时间
    private String createTime;

    //条件类型 1.等于 2.不等于
    private int condType;

    //条件key
    private String condKey;

    //条件value
    private String condValue;

}
