package cd.casic.ci.commons.bean.support.count;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线时间统计模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineTimeCount {

    /**
     * 所有数量
     */
    private Integer allNumber = 0;

    /**
     * 错误数量
     */
    private Integer errNumber = 0;

    /**
     * 成功数量
     */
    private Integer successNumber = 0;

    /**
     * 停止数量
     */
    private Integer haltNumber = 0;

}
