package cd.casic.module.machine.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RequestExceptionEnum implements CodeEnum {
    REQUEST_TYPE_NOT_JSON(1,"传递参数格式错误，请使用json格式"),
    REQUEST_JSON_ERROR(2,"json格式错误"),
    REQUEST_METHOD_NOT_POST(3, "不支持该请求方法，请求方法应为POST"),
    REQUEST_METHOD_NOT_GET(4, "不支持该请求方法，请求方法应为GET"),
    PARAM_ERROR(5, "参数错误");

    private final int code;

    private final String message;
}
