package cd.casic.module.process.engine.task.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 流水线日志
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_task_instance", autoResultMap = true)
public class TaskInstanceDo extends BaseDO {

    //日志id
    @TableId
    private String id;

    private String instanceId;

    //运行类型
    private String taskType;

    private int taskSort;

    //运行日志
    private String logAddress;

    //运行时间
    private int runTime;

    //运行状态
    private String runState;

    //阶段id
    private String stagesId;

    //任务名称
    private String taskName;

    private String postprocessId;

}
