package cd.casic.module.process.message.message.model;

import cd.casic.module.process.message.model.setting.MessageType;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
@Data
public class Message {
    private String id;
    @NotNull
//    @Mappings({@Mapping(
//            source = "messageType.id",
//            target = "messageTypeId"
//    )})
//    @JoinQuery(
//            key = "id"
//    )
    private MessageType messageType;
    @NotNull
    private String baseUrl;
    private String messageSendTypeId;
    private Map<String, Object> data;
    private List<MessageReceiver> messageReceiverList = new ArrayList();
    private String link;
    private String action;
    private String sendId;
    private String receiverName;
    private String receiverAccent;
    private String sendUserName;
    private String sendUserAccent;
    private String otherMessage;
}
