package cd.casic.module.process.process.setting.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_auth_host_k8s", autoResultMap = true)
public class AuthHostK8sDo extends BaseDO {

    @TableId
    private String hostId;

    private String name;

    private String type;

    private int authType;

    private String ip;

    private int port;

    private Long userId;

    private String password;

    private String privateKey;

    //是否公开 1：公开， 2：不公开
    private int authPublic;
}
