package cd.casic.module.process.task.codescan.model;

import lombok.Data;

/**
 * @author Spotbugs代码扫描信息
 */
//@Join
//@Mapper(targetName = "io.tiklab.arbess.task.codescan.entity.SpotbugsScanEntity")
// @Mapper
@Data
public class SpotbugsBugSummary {

    // id
    private String id;

    // 流水线id
    private String pipelineId;

    // 扫描时间
    private String scanTime;

    // 总共扫描的类的数量。
    private String totalClasses;

    // 引用的类的数量
    private String referencedClasses;

    // 检测到的问题（Bugs）的数量
    private String totalBugs;

    // 项目中的包（package）数量
    private String numPackages;

    // Java 版本信息
    private String vmVersion;

    // 优先级为 1 的问题数
    private String priorityOne;

    // 优先级为 2 的问题数
    private String priorityTwo;

    // 优先级为 3 的问题数
    private String priorityThree;

    // xml文件报错地址
    private String xmlPath;

    // xml文件内容
    private String xmlFileContent;

}
