package cd.casic.ci.commons.bean.process.definition;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线运行状态
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineRecently {

    // 流水线id
    private String pipelineId;

    // 流水线实例id
    private String instanceId;

    private String createTime;

    // 流水线名称
    private String pipelineName;

    // 状态 1.未运行 2.运行中
    private String execTime;

    // 上次运行时间
    private String lastRunTime;

    // 上次运行状态
    private String lastRunState;

    // 构建次数
    private Integer number;

    private Integer lastRunType;
}
