package cd.casic.ci.commons.bean.process.setting;


import cd.casic.module.system.api.user.dto.AdminUserRespDTO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;


/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线基本认证模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Auth {

    private String authId;

    //类型 1.用户名密码 2.私钥
    private int authType;

    //名称
    private String name;

    //用户名
    private String username;

    //密码
    private String password;

    //私钥
    private String privateKey;

    private String createTime;

    private AdminUserRespDTO adminUserRespDTO;

    //是否公开1.公开,2.不公开
    private Integer authPublic;
}
