package cd.casic.ci.commons.bean.process.setting;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Resources {

    private String id;

    private int version;

    //月份
    private String month;

    //使用并发数
    private int useCcyNumber;

    //剩余并发数
    private int residueCcyNumber;

    //总并发数
    private int ccyNumber;

    //总构建时长
    private int sceNumber;

    //使用构建时长
    private int useSceNumber;

    //剩余构建时长
    private int residueSceNumber;

    //总缓存大小
    private double cacheNumber;

    //使用缓存大小
    private double useCacheNumber;

    //剩余缓存大小
    private double residueCacheNumber;

    private String beginTime;

    private String endTime;
}
