package cd.casic.module.machine.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SecretKeyDto extends PageDto {
    private Long id;

    private String name;

    private String description;

    //存储路径
    private String path;

    //密钥文件
    private MultipartFile file;

    private String fileName;

    //密钥密码
    private String password;

    private Date createDate;

    private Date updateDate;
}
