package cd.casic.module.machine.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 连接状态枚举
 */
@Getter
@AllArgsConstructor
public enum ConnectionStatus {
    DISCONNECTED("断开连接"),
    CONNECTING("正在连接"),
    CONNECTED("已连接"),
    AUTH_FAILED("认证失败"),
    CONNECTION_TIMEOUT("连接超时"),
    CONNECTION_ERROR("连接错误"),
    CLOSED("已关闭");

    private final String description;

}
