package cd.casic.module.process.process.setting.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_auth_server", autoResultMap = true)
public class AuthThirdDo extends BaseDO {

    @TableId
    private String serverId;

    private String type;

    private String name;

    private int authType;

    private String username;

    private String password;

    private String serverAddress;

    private String privateKey;

    private String accessToken;

    private String refreshToken;

    //是否公开 true：公开， false：不公开
    private int authPublic;

    private String message;

    private String clientId;

    private String clientSecret;

    private String callbackUrl;

}
































