package cd.casic.module.process.support.postprocess.entity;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * 任务实例实体
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_postprocess_instance", autoResultMap = true)
public class PostprocessInstanceDo extends BaseDO {

    @TableId
    private String id;

    //实例id
    private String instanceId;

    //任务实例id
    private String taskInstanceId;

    //日志地址
    private String postAddress;

    //运行时间
    private Integer postTime;

    //运行状态
    private String postState;

}
