package cd.casic.module.process.support.trigger.dao;

import cd.casic.framework.mybatis.core.mapper.BaseMapperX;
import cd.casic.module.process.support.trigger.dateObject.TriggerTime;
import cd.casic.module.process.support.trigger.entity.TriggerTimeDo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author by mianbin
 * @Classname TriggerTimeDao
 * @Description TODO
 * @Date 2025/4/23 20:04
 */
@Mapper
public interface TriggerTimeDao extends BaseMapperX<TriggerTimeDo> {
    String createTime(TriggerTimeDo triggerTimeEntity);

    void deleteTime(String timeId);

    void updateTime(TriggerTimeDo triggerTimeEntity);

    TriggerTimeDo findOneTime(String timeId);

    List<TriggerTime> findAllTime();

    List<TriggerTime> findAllTimeList(List<String> idList);
}
